<ion-header>
  <ion-toolbar style="--background: var(--ion-color-primary);color:white">
    <div class="ic-back" slot="start" (click)="back()">
      <ion-icon name="arrow-round-back"></ion-icon>
    </div>
    <ion-title>Urutkan Berdasarkan</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content style="--background: #f0f0f0">
  <div (click)="applySorting('booknew')" class="ion-padding"
    style="margin-top: 15px;border-bottom: 1px solid #d4d4d4;background:white">
    <ion-label class="ion-text-left">Buku Terbaru</ion-label>
    <div class="ion-float-end">
      <ion-icon *ngIf="selected == 'booknew'" color="secondary" name="checkmark-circle-outline"></ion-icon>
    </div>
  </div>
  <div (click)="applySorting('popular')" class="ion-padding" style="border-bottom: 1px solid #d4d4d4;background:white">
    <ion-label class="ion-text-left">Buku Terpopuler</ion-label>
    <div class="ion-float-end">
      <ion-icon *ngIf="selected == 'popular'" color="secondary" name="checkmark-circle-outline"></ion-icon>
    </div>
  </div>
  <div (click)="applySorting('mostsearch')" class="ion-padding"
    style="border-bottom: 1px solid #d4d4d4;background:white">
    <ion-label class="ion-text-left">Buku Paling dicari</ion-label>
    <div class="ion-float-end">
      <ion-icon *ngIf="selected == 'mostsearch'" color="secondary" name="checkmark-circle-outline"></ion-icon>
    </div>
  </div>
</ion-content>

<ion-footer>
  <div>
    <button (click)="reset()" class="btn-reset ion-text-center ion-float-end" color="secondary">Reset</button>
  </div>
</ion-footer>